summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--perl/perl-Razor2-Client-Agent/README6
-rw-r--r--perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.SlackBuild96
-rw-r--r--perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.info10
-rw-r--r--perl/perl-Razor2-Client-Agent/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/perl/perl-Razor2-Client-Agent/README b/perl/perl-Razor2-Client-Agent/README
new file mode 100644
index 0000000000..887fd2f33d
--- /dev/null
+++ b/perl/perl-Razor2-Client-Agent/README
@@ -0,0 +1,6 @@
+Vipul's Razor is a distributed, collaborative, spam detection and
+filtering network based on user submissions of spam. Detection is
+done with signatures that efficiently spot mutating spam content and
+user input is validated through reputation assignments.
+If this package is installed, SpamAssassin performs Razor checks of
+e-mail messages.
diff --git a/perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.SlackBuild b/perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.SlackBuild
new file mode 100644
index 0000000000..e4e173d86d
--- /dev/null
+++ b/perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for perl-Razor2-Client-Agent
+
+# Copyright 2013-2019 Andreas Voegele <andreas@andreasvoegele.com>
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=perl-Razor2-Client-Agent
+VERSION=${VERSION:-2.86}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG INSTALLMAN5DIR=$PKG/usr/man/man5
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ BUGS CREDITS Changes FAQ INSTALL LICENSE README.md SERVICE_POLICY \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.info b/perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.info
new file mode 100644
index 0000000000..57a883ba60
--- /dev/null
+++ b/perl/perl-Razor2-Client-Agent/perl-Razor2-Client-Agent.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Razor2-Client-Agent"
+VERSION="2.86"
+HOMEPAGE="https://metacpan.org/release/Razor2-Client-Agent"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/T/TO/TODDR/Razor2-Client-Agent-2.86.tar.gz"
+MD5SUM="d7f9c7b6fe1c8b93425a01334bd6c3ac"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-digest-sha1 perl-net-dns"
+MAINTAINER="Andreas Voegele"
+EMAIL="andreas@andreasvoegele.com"
diff --git a/perl/perl-Razor2-Client-Agent/slack-desc b/perl/perl-Razor2-Client-Agent/slack-desc
new file mode 100644
index 0000000000..bbbaa31494
--- /dev/null
+++ b/perl/perl-Razor2-Client-Agent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Razor2-Client-Agent: perl-Razor2-Client-Agent (collaborative spam detection)
+perl-Razor2-Client-Agent:
+perl-Razor2-Client-Agent: Vipul's Razor is a distributed, collaborative, spam detection and
+perl-Razor2-Client-Agent: filtering network based on user submissions of spam. Detection is
+perl-Razor2-Client-Agent: done with signatures that efficiently spot mutating spam content and
+perl-Razor2-Client-Agent: user input is validated through reputation assignments.
+perl-Razor2-Client-Agent: If this package is installed, SpamAssassin performs Razor checks of
+perl-Razor2-Client-Agent: e-mail messages.
+perl-Razor2-Client-Agent:
+perl-Razor2-Client-Agent: For more info, visit: https://metacpan.org/release/Razor2-Client-Agent
+perl-Razor2-Client-Agent: